Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25b:d00a:2a00/120
First address
2c19:dd:d9:dd:c25:c25b:d00a:2a00
Last address
2c19:dd:d9:dd:c25:c25b:d00a:2aff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:c25b:d00a:2a00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.2.a.0.0.d.b.5.2.c.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25b:d00a:2a00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25b:d00a:2a00/1282c19:dd:d9:dd:c25:c25b:d00a:2a00
22c19:dd:d9:dd:c25:c25b:d00a:2a01/1282c19:dd:d9:dd:c25:c25b:d00a:2a01
32c19:dd:d9:dd:c25:c25b:d00a:2a02/1282c19:dd:d9:dd:c25:c25b:d00a:2a02
42c19:dd:d9:dd:c25:c25b:d00a:2a03/1282c19:dd:d9:dd:c25:c25b:d00a:2a03
52c19:dd:d9:dd:c25:c25b:d00a:2a04/1282c19:dd:d9:dd:c25:c25b:d00a:2a04
62c19:dd:d9:dd:c25:c25b:d00a:2a05/1282c19:dd:d9:dd:c25:c25b:d00a:2a05
72c19:dd:d9:dd:c25:c25b:d00a:2a06/1282c19:dd:d9:dd:c25:c25b:d00a:2a06
82c19:dd:d9:dd:c25:c25b:d00a:2a07/1282c19:dd:d9:dd:c25:c25b:d00a:2a07
92c19:dd:d9:dd:c25:c25b:d00a:2a08/1282c19:dd:d9:dd:c25:c25b:d00a:2a08
102c19:dd:d9:dd:c25:c25b:d00a:2a09/1282c19:dd:d9:dd:c25:c25b:d00a:2a09
112c19:dd:d9:dd:c25:c25b:d00a:2a0a/1282c19:dd:d9:dd:c25:c25b:d00a:2a0a
122c19:dd:d9:dd:c25:c25b:d00a:2a0b/1282c19:dd:d9:dd:c25:c25b:d00a:2a0b
132c19:dd:d9:dd:c25:c25b:d00a:2a0c/1282c19:dd:d9:dd:c25:c25b:d00a:2a0c
142c19:dd:d9:dd:c25:c25b:d00a:2a0d/1282c19:dd:d9:dd:c25:c25b:d00a:2a0d
152c19:dd:d9:dd:c25:c25b:d00a:2a0e/1282c19:dd:d9:dd:c25:c25b:d00a:2a0e
162c19:dd:d9:dd:c25:c25b:d00a:2a0f/1282c19:dd:d9:dd:c25:c25b:d00a:2a0f
172c19:dd:d9:dd:c25:c25b:d00a:2a10/1282c19:dd:d9:dd:c25:c25b:d00a:2a10
182c19:dd:d9:dd:c25:c25b:d00a:2a11/1282c19:dd:d9:dd:c25:c25b:d00a:2a11
192c19:dd:d9:dd:c25:c25b:d00a:2a12/1282c19:dd:d9:dd:c25:c25b:d00a:2a12
202c19:dd:d9:dd:c25:c25b:d00a:2a13/1282c19:dd:d9:dd:c25:c25b:d00a:2a13
212c19:dd:d9:dd:c25:c25b:d00a:2a14/1282c19:dd:d9:dd:c25:c25b:d00a:2a14
222c19:dd:d9:dd:c25:c25b:d00a:2a15/1282c19:dd:d9:dd:c25:c25b:d00a:2a15
232c19:dd:d9:dd:c25:c25b:d00a:2a16/1282c19:dd:d9:dd:c25:c25b:d00a:2a16
242c19:dd:d9:dd:c25:c25b:d00a:2a17/1282c19:dd:d9:dd:c25:c25b:d00a:2a17
252c19:dd:d9:dd:c25:c25b:d00a:2a18/1282c19:dd:d9:dd:c25:c25b:d00a:2a18
262c19:dd:d9:dd:c25:c25b:d00a:2a19/1282c19:dd:d9:dd:c25:c25b:d00a:2a19
272c19:dd:d9:dd:c25:c25b:d00a:2a1a/1282c19:dd:d9:dd:c25:c25b:d00a:2a1a
282c19:dd:d9:dd:c25:c25b:d00a:2a1b/1282c19:dd:d9:dd:c25:c25b:d00a:2a1b
292c19:dd:d9:dd:c25:c25b:d00a:2a1c/1282c19:dd:d9:dd:c25:c25b:d00a:2a1c
302c19:dd:d9:dd:c25:c25b:d00a:2a1d/1282c19:dd:d9:dd:c25:c25b:d00a:2a1d
312c19:dd:d9:dd:c25:c25b:d00a:2a1e/1282c19:dd:d9:dd:c25:c25b:d00a:2a1e
322c19:dd:d9:dd:c25:c25b:d00a:2a1f/1282c19:dd:d9:dd:c25:c25b:d00a:2a1f
332c19:dd:d9:dd:c25:c25b:d00a:2a20/1282c19:dd:d9:dd:c25:c25b:d00a:2a20
342c19:dd:d9:dd:c25:c25b:d00a:2a21/1282c19:dd:d9:dd:c25:c25b:d00a:2a21
352c19:dd:d9:dd:c25:c25b:d00a:2a22/1282c19:dd:d9:dd:c25:c25b:d00a:2a22
362c19:dd:d9:dd:c25:c25b:d00a:2a23/1282c19:dd:d9:dd:c25:c25b:d00a:2a23
372c19:dd:d9:dd:c25:c25b:d00a:2a24/1282c19:dd:d9:dd:c25:c25b:d00a:2a24
382c19:dd:d9:dd:c25:c25b:d00a:2a25/1282c19:dd:d9:dd:c25:c25b:d00a:2a25
392c19:dd:d9:dd:c25:c25b:d00a:2a26/1282c19:dd:d9:dd:c25:c25b:d00a:2a26
402c19:dd:d9:dd:c25:c25b:d00a:2a27/1282c19:dd:d9:dd:c25:c25b:d00a:2a27
412c19:dd:d9:dd:c25:c25b:d00a:2a28/1282c19:dd:d9:dd:c25:c25b:d00a:2a28
422c19:dd:d9:dd:c25:c25b:d00a:2a29/1282c19:dd:d9:dd:c25:c25b:d00a:2a29
432c19:dd:d9:dd:c25:c25b:d00a:2a2a/1282c19:dd:d9:dd:c25:c25b:d00a:2a2a
442c19:dd:d9:dd:c25:c25b:d00a:2a2b/1282c19:dd:d9:dd:c25:c25b:d00a:2a2b
452c19:dd:d9:dd:c25:c25b:d00a:2a2c/1282c19:dd:d9:dd:c25:c25b:d00a:2a2c
462c19:dd:d9:dd:c25:c25b:d00a:2a2d/1282c19:dd:d9:dd:c25:c25b:d00a:2a2d
472c19:dd:d9:dd:c25:c25b:d00a:2a2e/1282c19:dd:d9:dd:c25:c25b:d00a:2a2e
482c19:dd:d9:dd:c25:c25b:d00a:2a2f/1282c19:dd:d9:dd:c25:c25b:d00a:2a2f
492c19:dd:d9:dd:c25:c25b:d00a:2a30/1282c19:dd:d9:dd:c25:c25b:d00a:2a30
502c19:dd:d9:dd:c25:c25b:d00a:2a31/1282c19:dd:d9:dd:c25:c25b:d00a:2a31
512c19:dd:d9:dd:c25:c25b:d00a:2a32/1282c19:dd:d9:dd:c25:c25b:d00a:2a32
522c19:dd:d9:dd:c25:c25b:d00a:2a33/1282c19:dd:d9:dd:c25:c25b:d00a:2a33
532c19:dd:d9:dd:c25:c25b:d00a:2a34/1282c19:dd:d9:dd:c25:c25b:d00a:2a34
542c19:dd:d9:dd:c25:c25b:d00a:2a35/1282c19:dd:d9:dd:c25:c25b:d00a:2a35
552c19:dd:d9:dd:c25:c25b:d00a:2a36/1282c19:dd:d9:dd:c25:c25b:d00a:2a36
562c19:dd:d9:dd:c25:c25b:d00a:2a37/1282c19:dd:d9:dd:c25:c25b:d00a:2a37
572c19:dd:d9:dd:c25:c25b:d00a:2a38/1282c19:dd:d9:dd:c25:c25b:d00a:2a38
582c19:dd:d9:dd:c25:c25b:d00a:2a39/1282c19:dd:d9:dd:c25:c25b:d00a:2a39
592c19:dd:d9:dd:c25:c25b:d00a:2a3a/1282c19:dd:d9:dd:c25:c25b:d00a:2a3a
602c19:dd:d9:dd:c25:c25b:d00a:2a3b/1282c19:dd:d9:dd:c25:c25b:d00a:2a3b
612c19:dd:d9:dd:c25:c25b:d00a:2a3c/1282c19:dd:d9:dd:c25:c25b:d00a:2a3c
622c19:dd:d9:dd:c25:c25b:d00a:2a3d/1282c19:dd:d9:dd:c25:c25b:d00a:2a3d
632c19:dd:d9:dd:c25:c25b:d00a:2a3e/1282c19:dd:d9:dd:c25:c25b:d00a:2a3e
642c19:dd:d9:dd:c25:c25b:d00a:2a3f/1282c19:dd:d9:dd:c25:c25b:d00a:2a3f
652c19:dd:d9:dd:c25:c25b:d00a:2a40/1282c19:dd:d9:dd:c25:c25b:d00a:2a40
662c19:dd:d9:dd:c25:c25b:d00a:2a41/1282c19:dd:d9:dd:c25:c25b:d00a:2a41
672c19:dd:d9:dd:c25:c25b:d00a:2a42/1282c19:dd:d9:dd:c25:c25b:d00a:2a42
682c19:dd:d9:dd:c25:c25b:d00a:2a43/1282c19:dd:d9:dd:c25:c25b:d00a:2a43
692c19:dd:d9:dd:c25:c25b:d00a:2a44/1282c19:dd:d9:dd:c25:c25b:d00a:2a44
702c19:dd:d9:dd:c25:c25b:d00a:2a45/1282c19:dd:d9:dd:c25:c25b:d00a:2a45
712c19:dd:d9:dd:c25:c25b:d00a:2a46/1282c19:dd:d9:dd:c25:c25b:d00a:2a46
722c19:dd:d9:dd:c25:c25b:d00a:2a47/1282c19:dd:d9:dd:c25:c25b:d00a:2a47
732c19:dd:d9:dd:c25:c25b:d00a:2a48/1282c19:dd:d9:dd:c25:c25b:d00a:2a48
742c19:dd:d9:dd:c25:c25b:d00a:2a49/1282c19:dd:d9:dd:c25:c25b:d00a:2a49
752c19:dd:d9:dd:c25:c25b:d00a:2a4a/1282c19:dd:d9:dd:c25:c25b:d00a:2a4a
762c19:dd:d9:dd:c25:c25b:d00a:2a4b/1282c19:dd:d9:dd:c25:c25b:d00a:2a4b
772c19:dd:d9:dd:c25:c25b:d00a:2a4c/1282c19:dd:d9:dd:c25:c25b:d00a:2a4c
782c19:dd:d9:dd:c25:c25b:d00a:2a4d/1282c19:dd:d9:dd:c25:c25b:d00a:2a4d
792c19:dd:d9:dd:c25:c25b:d00a:2a4e/1282c19:dd:d9:dd:c25:c25b:d00a:2a4e
802c19:dd:d9:dd:c25:c25b:d00a:2a4f/1282c19:dd:d9:dd:c25:c25b:d00a:2a4f
812c19:dd:d9:dd:c25:c25b:d00a:2a50/1282c19:dd:d9:dd:c25:c25b:d00a:2a50
822c19:dd:d9:dd:c25:c25b:d00a:2a51/1282c19:dd:d9:dd:c25:c25b:d00a:2a51
832c19:dd:d9:dd:c25:c25b:d00a:2a52/1282c19:dd:d9:dd:c25:c25b:d00a:2a52
842c19:dd:d9:dd:c25:c25b:d00a:2a53/1282c19:dd:d9:dd:c25:c25b:d00a:2a53
852c19:dd:d9:dd:c25:c25b:d00a:2a54/1282c19:dd:d9:dd:c25:c25b:d00a:2a54
862c19:dd:d9:dd:c25:c25b:d00a:2a55/1282c19:dd:d9:dd:c25:c25b:d00a:2a55
872c19:dd:d9:dd:c25:c25b:d00a:2a56/1282c19:dd:d9:dd:c25:c25b:d00a:2a56
882c19:dd:d9:dd:c25:c25b:d00a:2a57/1282c19:dd:d9:dd:c25:c25b:d00a:2a57
892c19:dd:d9:dd:c25:c25b:d00a:2a58/1282c19:dd:d9:dd:c25:c25b:d00a:2a58
902c19:dd:d9:dd:c25:c25b:d00a:2a59/1282c19:dd:d9:dd:c25:c25b:d00a:2a59
912c19:dd:d9:dd:c25:c25b:d00a:2a5a/1282c19:dd:d9:dd:c25:c25b:d00a:2a5a
922c19:dd:d9:dd:c25:c25b:d00a:2a5b/1282c19:dd:d9:dd:c25:c25b:d00a:2a5b
932c19:dd:d9:dd:c25:c25b:d00a:2a5c/1282c19:dd:d9:dd:c25:c25b:d00a:2a5c
942c19:dd:d9:dd:c25:c25b:d00a:2a5d/1282c19:dd:d9:dd:c25:c25b:d00a:2a5d
952c19:dd:d9:dd:c25:c25b:d00a:2a5e/1282c19:dd:d9:dd:c25:c25b:d00a:2a5e
962c19:dd:d9:dd:c25:c25b:d00a:2a5f/1282c19:dd:d9:dd:c25:c25b:d00a:2a5f
972c19:dd:d9:dd:c25:c25b:d00a:2a60/1282c19:dd:d9:dd:c25:c25b:d00a:2a60
982c19:dd:d9:dd:c25:c25b:d00a:2a61/1282c19:dd:d9:dd:c25:c25b:d00a:2a61
992c19:dd:d9:dd:c25:c25b:d00a:2a62/1282c19:dd:d9:dd:c25:c25b:d00a:2a62
1002c19:dd:d9:dd:c25:c25b:d00a:2a63/1282c19:dd:d9:dd:c25:c25b:d00a:2a63
1012c19:dd:d9:dd:c25:c25b:d00a:2a64/1282c19:dd:d9:dd:c25:c25b:d00a:2a64
1022c19:dd:d9:dd:c25:c25b:d00a:2a65/1282c19:dd:d9:dd:c25:c25b:d00a:2a65
1032c19:dd:d9:dd:c25:c25b:d00a:2a66/1282c19:dd:d9:dd:c25:c25b:d00a:2a66
1042c19:dd:d9:dd:c25:c25b:d00a:2a67/1282c19:dd:d9:dd:c25:c25b:d00a:2a67
1052c19:dd:d9:dd:c25:c25b:d00a:2a68/1282c19:dd:d9:dd:c25:c25b:d00a:2a68
1062c19:dd:d9:dd:c25:c25b:d00a:2a69/1282c19:dd:d9:dd:c25:c25b:d00a:2a69
1072c19:dd:d9:dd:c25:c25b:d00a:2a6a/1282c19:dd:d9:dd:c25:c25b:d00a:2a6a
1082c19:dd:d9:dd:c25:c25b:d00a:2a6b/1282c19:dd:d9:dd:c25:c25b:d00a:2a6b
1092c19:dd:d9:dd:c25:c25b:d00a:2a6c/1282c19:dd:d9:dd:c25:c25b:d00a:2a6c
1102c19:dd:d9:dd:c25:c25b:d00a:2a6d/1282c19:dd:d9:dd:c25:c25b:d00a:2a6d
1112c19:dd:d9:dd:c25:c25b:d00a:2a6e/1282c19:dd:d9:dd:c25:c25b:d00a:2a6e
1122c19:dd:d9:dd:c25:c25b:d00a:2a6f/1282c19:dd:d9:dd:c25:c25b:d00a:2a6f
1132c19:dd:d9:dd:c25:c25b:d00a:2a70/1282c19:dd:d9:dd:c25:c25b:d00a:2a70
1142c19:dd:d9:dd:c25:c25b:d00a:2a71/1282c19:dd:d9:dd:c25:c25b:d00a:2a71
1152c19:dd:d9:dd:c25:c25b:d00a:2a72/1282c19:dd:d9:dd:c25:c25b:d00a:2a72
1162c19:dd:d9:dd:c25:c25b:d00a:2a73/1282c19:dd:d9:dd:c25:c25b:d00a:2a73
1172c19:dd:d9:dd:c25:c25b:d00a:2a74/1282c19:dd:d9:dd:c25:c25b:d00a:2a74
1182c19:dd:d9:dd:c25:c25b:d00a:2a75/1282c19:dd:d9:dd:c25:c25b:d00a:2a75
1192c19:dd:d9:dd:c25:c25b:d00a:2a76/1282c19:dd:d9:dd:c25:c25b:d00a:2a76
1202c19:dd:d9:dd:c25:c25b:d00a:2a77/1282c19:dd:d9:dd:c25:c25b:d00a:2a77
1212c19:dd:d9:dd:c25:c25b:d00a:2a78/1282c19:dd:d9:dd:c25:c25b:d00a:2a78
1222c19:dd:d9:dd:c25:c25b:d00a:2a79/1282c19:dd:d9:dd:c25:c25b:d00a:2a79
1232c19:dd:d9:dd:c25:c25b:d00a:2a7a/1282c19:dd:d9:dd:c25:c25b:d00a:2a7a
1242c19:dd:d9:dd:c25:c25b:d00a:2a7b/1282c19:dd:d9:dd:c25:c25b:d00a:2a7b
1252c19:dd:d9:dd:c25:c25b:d00a:2a7c/1282c19:dd:d9:dd:c25:c25b:d00a:2a7c
1262c19:dd:d9:dd:c25:c25b:d00a:2a7d/1282c19:dd:d9:dd:c25:c25b:d00a:2a7d
1272c19:dd:d9:dd:c25:c25b:d00a:2a7e/1282c19:dd:d9:dd:c25:c25b:d00a:2a7e
1282c19:dd:d9:dd:c25:c25b:d00a:2a7f/1282c19:dd:d9:dd:c25:c25b:d00a:2a7f
1292c19:dd:d9:dd:c25:c25b:d00a:2a80/1282c19:dd:d9:dd:c25:c25b:d00a:2a80
1302c19:dd:d9:dd:c25:c25b:d00a:2a81/1282c19:dd:d9:dd:c25:c25b:d00a:2a81
1312c19:dd:d9:dd:c25:c25b:d00a:2a82/1282c19:dd:d9:dd:c25:c25b:d00a:2a82
1322c19:dd:d9:dd:c25:c25b:d00a:2a83/1282c19:dd:d9:dd:c25:c25b:d00a:2a83
1332c19:dd:d9:dd:c25:c25b:d00a:2a84/1282c19:dd:d9:dd:c25:c25b:d00a:2a84
1342c19:dd:d9:dd:c25:c25b:d00a:2a85/1282c19:dd:d9:dd:c25:c25b:d00a:2a85
1352c19:dd:d9:dd:c25:c25b:d00a:2a86/1282c19:dd:d9:dd:c25:c25b:d00a:2a86
1362c19:dd:d9:dd:c25:c25b:d00a:2a87/1282c19:dd:d9:dd:c25:c25b:d00a:2a87
1372c19:dd:d9:dd:c25:c25b:d00a:2a88/1282c19:dd:d9:dd:c25:c25b:d00a:2a88
1382c19:dd:d9:dd:c25:c25b:d00a:2a89/1282c19:dd:d9:dd:c25:c25b:d00a:2a89
1392c19:dd:d9:dd:c25:c25b:d00a:2a8a/1282c19:dd:d9:dd:c25:c25b:d00a:2a8a
1402c19:dd:d9:dd:c25:c25b:d00a:2a8b/1282c19:dd:d9:dd:c25:c25b:d00a:2a8b
1412c19:dd:d9:dd:c25:c25b:d00a:2a8c/1282c19:dd:d9:dd:c25:c25b:d00a:2a8c
1422c19:dd:d9:dd:c25:c25b:d00a:2a8d/1282c19:dd:d9:dd:c25:c25b:d00a:2a8d
1432c19:dd:d9:dd:c25:c25b:d00a:2a8e/1282c19:dd:d9:dd:c25:c25b:d00a:2a8e
1442c19:dd:d9:dd:c25:c25b:d00a:2a8f/1282c19:dd:d9:dd:c25:c25b:d00a:2a8f
1452c19:dd:d9:dd:c25:c25b:d00a:2a90/1282c19:dd:d9:dd:c25:c25b:d00a:2a90
1462c19:dd:d9:dd:c25:c25b:d00a:2a91/1282c19:dd:d9:dd:c25:c25b:d00a:2a91
1472c19:dd:d9:dd:c25:c25b:d00a:2a92/1282c19:dd:d9:dd:c25:c25b:d00a:2a92
1482c19:dd:d9:dd:c25:c25b:d00a:2a93/1282c19:dd:d9:dd:c25:c25b:d00a:2a93
1492c19:dd:d9:dd:c25:c25b:d00a:2a94/1282c19:dd:d9:dd:c25:c25b:d00a:2a94
1502c19:dd:d9:dd:c25:c25b:d00a:2a95/1282c19:dd:d9:dd:c25:c25b:d00a:2a95
1512c19:dd:d9:dd:c25:c25b:d00a:2a96/1282c19:dd:d9:dd:c25:c25b:d00a:2a96
1522c19:dd:d9:dd:c25:c25b:d00a:2a97/1282c19:dd:d9:dd:c25:c25b:d00a:2a97
1532c19:dd:d9:dd:c25:c25b:d00a:2a98/1282c19:dd:d9:dd:c25:c25b:d00a:2a98
1542c19:dd:d9:dd:c25:c25b:d00a:2a99/1282c19:dd:d9:dd:c25:c25b:d00a:2a99
1552c19:dd:d9:dd:c25:c25b:d00a:2a9a/1282c19:dd:d9:dd:c25:c25b:d00a:2a9a
1562c19:dd:d9:dd:c25:c25b:d00a:2a9b/1282c19:dd:d9:dd:c25:c25b:d00a:2a9b
1572c19:dd:d9:dd:c25:c25b:d00a:2a9c/1282c19:dd:d9:dd:c25:c25b:d00a:2a9c
1582c19:dd:d9:dd:c25:c25b:d00a:2a9d/1282c19:dd:d9:dd:c25:c25b:d00a:2a9d
1592c19:dd:d9:dd:c25:c25b:d00a:2a9e/1282c19:dd:d9:dd:c25:c25b:d00a:2a9e
1602c19:dd:d9:dd:c25:c25b:d00a:2a9f/1282c19:dd:d9:dd:c25:c25b:d00a:2a9f
1612c19:dd:d9:dd:c25:c25b:d00a:2aa0/1282c19:dd:d9:dd:c25:c25b:d00a:2aa0
1622c19:dd:d9:dd:c25:c25b:d00a:2aa1/1282c19:dd:d9:dd:c25:c25b:d00a:2aa1
1632c19:dd:d9:dd:c25:c25b:d00a:2aa2/1282c19:dd:d9:dd:c25:c25b:d00a:2aa2
1642c19:dd:d9:dd:c25:c25b:d00a:2aa3/1282c19:dd:d9:dd:c25:c25b:d00a:2aa3
1652c19:dd:d9:dd:c25:c25b:d00a:2aa4/1282c19:dd:d9:dd:c25:c25b:d00a:2aa4
1662c19:dd:d9:dd:c25:c25b:d00a:2aa5/1282c19:dd:d9:dd:c25:c25b:d00a:2aa5
1672c19:dd:d9:dd:c25:c25b:d00a:2aa6/1282c19:dd:d9:dd:c25:c25b:d00a:2aa6
1682c19:dd:d9:dd:c25:c25b:d00a:2aa7/1282c19:dd:d9:dd:c25:c25b:d00a:2aa7
1692c19:dd:d9:dd:c25:c25b:d00a:2aa8/1282c19:dd:d9:dd:c25:c25b:d00a:2aa8
1702c19:dd:d9:dd:c25:c25b:d00a:2aa9/1282c19:dd:d9:dd:c25:c25b:d00a:2aa9
1712c19:dd:d9:dd:c25:c25b:d00a:2aaa/1282c19:dd:d9:dd:c25:c25b:d00a:2aaa
1722c19:dd:d9:dd:c25:c25b:d00a:2aab/1282c19:dd:d9:dd:c25:c25b:d00a:2aab
1732c19:dd:d9:dd:c25:c25b:d00a:2aac/1282c19:dd:d9:dd:c25:c25b:d00a:2aac
1742c19:dd:d9:dd:c25:c25b:d00a:2aad/1282c19:dd:d9:dd:c25:c25b:d00a:2aad
1752c19:dd:d9:dd:c25:c25b:d00a:2aae/1282c19:dd:d9:dd:c25:c25b:d00a:2aae
1762c19:dd:d9:dd:c25:c25b:d00a:2aaf/1282c19:dd:d9:dd:c25:c25b:d00a:2aaf
1772c19:dd:d9:dd:c25:c25b:d00a:2ab0/1282c19:dd:d9:dd:c25:c25b:d00a:2ab0
1782c19:dd:d9:dd:c25:c25b:d00a:2ab1/1282c19:dd:d9:dd:c25:c25b:d00a:2ab1
1792c19:dd:d9:dd:c25:c25b:d00a:2ab2/1282c19:dd:d9:dd:c25:c25b:d00a:2ab2
1802c19:dd:d9:dd:c25:c25b:d00a:2ab3/1282c19:dd:d9:dd:c25:c25b:d00a:2ab3
1812c19:dd:d9:dd:c25:c25b:d00a:2ab4/1282c19:dd:d9:dd:c25:c25b:d00a:2ab4
1822c19:dd:d9:dd:c25:c25b:d00a:2ab5/1282c19:dd:d9:dd:c25:c25b:d00a:2ab5
1832c19:dd:d9:dd:c25:c25b:d00a:2ab6/1282c19:dd:d9:dd:c25:c25b:d00a:2ab6
1842c19:dd:d9:dd:c25:c25b:d00a:2ab7/1282c19:dd:d9:dd:c25:c25b:d00a:2ab7
1852c19:dd:d9:dd:c25:c25b:d00a:2ab8/1282c19:dd:d9:dd:c25:c25b:d00a:2ab8
1862c19:dd:d9:dd:c25:c25b:d00a:2ab9/1282c19:dd:d9:dd:c25:c25b:d00a:2ab9
1872c19:dd:d9:dd:c25:c25b:d00a:2aba/1282c19:dd:d9:dd:c25:c25b:d00a:2aba
1882c19:dd:d9:dd:c25:c25b:d00a:2abb/1282c19:dd:d9:dd:c25:c25b:d00a:2abb
1892c19:dd:d9:dd:c25:c25b:d00a:2abc/1282c19:dd:d9:dd:c25:c25b:d00a:2abc
1902c19:dd:d9:dd:c25:c25b:d00a:2abd/1282c19:dd:d9:dd:c25:c25b:d00a:2abd
1912c19:dd:d9:dd:c25:c25b:d00a:2abe/1282c19:dd:d9:dd:c25:c25b:d00a:2abe
1922c19:dd:d9:dd:c25:c25b:d00a:2abf/1282c19:dd:d9:dd:c25:c25b:d00a:2abf
1932c19:dd:d9:dd:c25:c25b:d00a:2ac0/1282c19:dd:d9:dd:c25:c25b:d00a:2ac0
1942c19:dd:d9:dd:c25:c25b:d00a:2ac1/1282c19:dd:d9:dd:c25:c25b:d00a:2ac1
1952c19:dd:d9:dd:c25:c25b:d00a:2ac2/1282c19:dd:d9:dd:c25:c25b:d00a:2ac2
1962c19:dd:d9:dd:c25:c25b:d00a:2ac3/1282c19:dd:d9:dd:c25:c25b:d00a:2ac3
1972c19:dd:d9:dd:c25:c25b:d00a:2ac4/1282c19:dd:d9:dd:c25:c25b:d00a:2ac4
1982c19:dd:d9:dd:c25:c25b:d00a:2ac5/1282c19:dd:d9:dd:c25:c25b:d00a:2ac5
1992c19:dd:d9:dd:c25:c25b:d00a:2ac6/1282c19:dd:d9:dd:c25:c25b:d00a:2ac6
2002c19:dd:d9:dd:c25:c25b:d00a:2ac7/1282c19:dd:d9:dd:c25:c25b:d00a:2ac7
2012c19:dd:d9:dd:c25:c25b:d00a:2ac8/1282c19:dd:d9:dd:c25:c25b:d00a:2ac8
2022c19:dd:d9:dd:c25:c25b:d00a:2ac9/1282c19:dd:d9:dd:c25:c25b:d00a:2ac9
2032c19:dd:d9:dd:c25:c25b:d00a:2aca/1282c19:dd:d9:dd:c25:c25b:d00a:2aca
2042c19:dd:d9:dd:c25:c25b:d00a:2acb/1282c19:dd:d9:dd:c25:c25b:d00a:2acb
2052c19:dd:d9:dd:c25:c25b:d00a:2acc/1282c19:dd:d9:dd:c25:c25b:d00a:2acc
2062c19:dd:d9:dd:c25:c25b:d00a:2acd/1282c19:dd:d9:dd:c25:c25b:d00a:2acd
2072c19:dd:d9:dd:c25:c25b:d00a:2ace/1282c19:dd:d9:dd:c25:c25b:d00a:2ace
2082c19:dd:d9:dd:c25:c25b:d00a:2acf/1282c19:dd:d9:dd:c25:c25b:d00a:2acf
2092c19:dd:d9:dd:c25:c25b:d00a:2ad0/1282c19:dd:d9:dd:c25:c25b:d00a:2ad0
2102c19:dd:d9:dd:c25:c25b:d00a:2ad1/1282c19:dd:d9:dd:c25:c25b:d00a:2ad1
2112c19:dd:d9:dd:c25:c25b:d00a:2ad2/1282c19:dd:d9:dd:c25:c25b:d00a:2ad2
2122c19:dd:d9:dd:c25:c25b:d00a:2ad3/1282c19:dd:d9:dd:c25:c25b:d00a:2ad3
2132c19:dd:d9:dd:c25:c25b:d00a:2ad4/1282c19:dd:d9:dd:c25:c25b:d00a:2ad4
2142c19:dd:d9:dd:c25:c25b:d00a:2ad5/1282c19:dd:d9:dd:c25:c25b:d00a:2ad5
2152c19:dd:d9:dd:c25:c25b:d00a:2ad6/1282c19:dd:d9:dd:c25:c25b:d00a:2ad6
2162c19:dd:d9:dd:c25:c25b:d00a:2ad7/1282c19:dd:d9:dd:c25:c25b:d00a:2ad7
2172c19:dd:d9:dd:c25:c25b:d00a:2ad8/1282c19:dd:d9:dd:c25:c25b:d00a:2ad8
2182c19:dd:d9:dd:c25:c25b:d00a:2ad9/1282c19:dd:d9:dd:c25:c25b:d00a:2ad9
2192c19:dd:d9:dd:c25:c25b:d00a:2ada/1282c19:dd:d9:dd:c25:c25b:d00a:2ada
2202c19:dd:d9:dd:c25:c25b:d00a:2adb/1282c19:dd:d9:dd:c25:c25b:d00a:2adb
2212c19:dd:d9:dd:c25:c25b:d00a:2adc/1282c19:dd:d9:dd:c25:c25b:d00a:2adc
2222c19:dd:d9:dd:c25:c25b:d00a:2add/1282c19:dd:d9:dd:c25:c25b:d00a:2add
2232c19:dd:d9:dd:c25:c25b:d00a:2ade/1282c19:dd:d9:dd:c25:c25b:d00a:2ade
2242c19:dd:d9:dd:c25:c25b:d00a:2adf/1282c19:dd:d9:dd:c25:c25b:d00a:2adf
2252c19:dd:d9:dd:c25:c25b:d00a:2ae0/1282c19:dd:d9:dd:c25:c25b:d00a:2ae0
2262c19:dd:d9:dd:c25:c25b:d00a:2ae1/1282c19:dd:d9:dd:c25:c25b:d00a:2ae1
2272c19:dd:d9:dd:c25:c25b:d00a:2ae2/1282c19:dd:d9:dd:c25:c25b:d00a:2ae2
2282c19:dd:d9:dd:c25:c25b:d00a:2ae3/1282c19:dd:d9:dd:c25:c25b:d00a:2ae3
2292c19:dd:d9:dd:c25:c25b:d00a:2ae4/1282c19:dd:d9:dd:c25:c25b:d00a:2ae4
2302c19:dd:d9:dd:c25:c25b:d00a:2ae5/1282c19:dd:d9:dd:c25:c25b:d00a:2ae5
2312c19:dd:d9:dd:c25:c25b:d00a:2ae6/1282c19:dd:d9:dd:c25:c25b:d00a:2ae6
2322c19:dd:d9:dd:c25:c25b:d00a:2ae7/1282c19:dd:d9:dd:c25:c25b:d00a:2ae7
2332c19:dd:d9:dd:c25:c25b:d00a:2ae8/1282c19:dd:d9:dd:c25:c25b:d00a:2ae8
2342c19:dd:d9:dd:c25:c25b:d00a:2ae9/1282c19:dd:d9:dd:c25:c25b:d00a:2ae9
2352c19:dd:d9:dd:c25:c25b:d00a:2aea/1282c19:dd:d9:dd:c25:c25b:d00a:2aea
2362c19:dd:d9:dd:c25:c25b:d00a:2aeb/1282c19:dd:d9:dd:c25:c25b:d00a:2aeb
2372c19:dd:d9:dd:c25:c25b:d00a:2aec/1282c19:dd:d9:dd:c25:c25b:d00a:2aec
2382c19:dd:d9:dd:c25:c25b:d00a:2aed/1282c19:dd:d9:dd:c25:c25b:d00a:2aed
2392c19:dd:d9:dd:c25:c25b:d00a:2aee/1282c19:dd:d9:dd:c25:c25b:d00a:2aee
2402c19:dd:d9:dd:c25:c25b:d00a:2aef/1282c19:dd:d9:dd:c25:c25b:d00a:2aef
2412c19:dd:d9:dd:c25:c25b:d00a:2af0/1282c19:dd:d9:dd:c25:c25b:d00a:2af0
2422c19:dd:d9:dd:c25:c25b:d00a:2af1/1282c19:dd:d9:dd:c25:c25b:d00a:2af1
2432c19:dd:d9:dd:c25:c25b:d00a:2af2/1282c19:dd:d9:dd:c25:c25b:d00a:2af2
2442c19:dd:d9:dd:c25:c25b:d00a:2af3/1282c19:dd:d9:dd:c25:c25b:d00a:2af3
2452c19:dd:d9:dd:c25:c25b:d00a:2af4/1282c19:dd:d9:dd:c25:c25b:d00a:2af4
2462c19:dd:d9:dd:c25:c25b:d00a:2af5/1282c19:dd:d9:dd:c25:c25b:d00a:2af5
2472c19:dd:d9:dd:c25:c25b:d00a:2af6/1282c19:dd:d9:dd:c25:c25b:d00a:2af6
2482c19:dd:d9:dd:c25:c25b:d00a:2af7/1282c19:dd:d9:dd:c25:c25b:d00a:2af7
2492c19:dd:d9:dd:c25:c25b:d00a:2af8/1282c19:dd:d9:dd:c25:c25b:d00a:2af8
2502c19:dd:d9:dd:c25:c25b:d00a:2af9/1282c19:dd:d9:dd:c25:c25b:d00a:2af9
2512c19:dd:d9:dd:c25:c25b:d00a:2afa/1282c19:dd:d9:dd:c25:c25b:d00a:2afa
2522c19:dd:d9:dd:c25:c25b:d00a:2afb/1282c19:dd:d9:dd:c25:c25b:d00a:2afb
2532c19:dd:d9:dd:c25:c25b:d00a:2afc/1282c19:dd:d9:dd:c25:c25b:d00a:2afc
2542c19:dd:d9:dd:c25:c25b:d00a:2afd/1282c19:dd:d9:dd:c25:c25b:d00a:2afd
2552c19:dd:d9:dd:c25:c25b:d00a:2afe/1282c19:dd:d9:dd:c25:c25b:d00a:2afe
2562c19:dd:d9:dd:c25:c25b:d00a:2aff/1282c19:dd:d9:dd:c25:c25b:d00a:2aff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses